Package org.bukkit

# Enum Class Statistic

java.lang.Object
java.lang.Enum<Statistic>
org.bukkit.Statistic

All Implemented Interfaces:
  `Serializable`, `Comparable<Statistic>`, `Constable`, `Keyed`

public enum Statistic extends Enum<Statistic> implements Keyed
Represents a countable statistic, which is tracked by the server.

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static enum`
`Statistic.Type`
The type of statistic.

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`ANIMALS_BRED`
`ARMOR_CLEANED`
`AVIATE_ONE_CM`
`BANNER_CLEANED`
`BEACON_INTERACTION`
`BELL_RING`
`BOAT_ONE_CM`
`BREAK_ITEM`
`BREWINGSTAND_INTERACTION`
`CAKE_SLICES_EATEN`
`CAULDRON_FILLED`
`CAULDRON_USED`
`CHEST_OPENED`
`CLEAN_SHULKER_BOX`
`CLIMB_ONE_CM`
`CRAFT_ITEM`
`CRAFTING_TABLE_INTERACTION`
`CROUCH_ONE_CM`
`DAMAGE_ABSORBED`
`DAMAGE_BLOCKED_BY_SHIELD`
`DAMAGE_DEALT`
`DAMAGE_DEALT_ABSORBED`
`DAMAGE_DEALT_RESISTED`
`DAMAGE_RESISTED`
`DAMAGE_TAKEN`
`DEATHS`
`DISPENSER_INSPECTED`
`DROP`
`DROP_COUNT`
`DROPPER_INSPECTED`
`ENDERCHEST_OPENED`
`ENTITY_KILLED_BY`
`FALL_ONE_CM`
`FISH_CAUGHT`
`FLOWER_POTTED`
`FLY_ONE_CM`
`FURNACE_INTERACTION`
`HOPPER_INSPECTED`
`HORSE_ONE_CM`
`INTERACT_WITH_ANVIL`
`INTERACT_WITH_BLAST_FURNACE`
`INTERACT_WITH_CAMPFIRE`
`INTERACT_WITH_CARTOGRAPHY_TABLE`
`INTERACT_WITH_GRINDSTONE`
`INTERACT_WITH_LECTERN`
`INTERACT_WITH_LOOM`
`INTERACT_WITH_SMITHING_TABLE`
`INTERACT_WITH_SMOKER`
`INTERACT_WITH_STONECUTTER`
`ITEM_ENCHANTED`
`JUMP`
`KILL_ENTITY`
`LEAVE_GAME`
`MINE_BLOCK`
`MINECART_ONE_CM`
`MOB_KILLS`
`NOTEBLOCK_PLAYED`
`NOTEBLOCK_TUNED`
`OPEN_BARREL`
`PICKUP`
`PIG_ONE_CM`
`PLAY_ONE_MINUTE`
Name is misleading, actually records ticks played.
`PLAYER_KILLS`
`RAID_TRIGGER`
`RAID_WIN`
`RECORD_PLAYED`
`SHULKER_BOX_OPENED`
`SLEEP_IN_BED`
`SNEAK_TIME`
`SPRINT_ONE_CM`
`STRIDER_ONE_CM`
`SWIM_ONE_CM`
`TALKED_TO_VILLAGER`
`TARGET_HIT`
`TIME_SINCE_DEATH`
`TIME_SINCE_REST`
`TOTAL_WORLD_TIME`
`TRADED_WITH_VILLAGER`
`TRAPPED_CHEST_TRIGGERED`
`USE_ITEM`
`WALK_ON_WATER_ONE_CM`
`WALK_ONE_CM`
`WALK_UNDER_WATER_ONE_CM`

## Method Summary

Modifier and Type
Method
Description
`@NotNull NamespacedKey`
`getKey()`
Return the namespaced identifier for this object.
`@NotNull Statistic.Type`
`getType()`
Gets the type of this statistic.
`boolean`
`isBlock()`
Checks if this is a substatistic dealing with blocks.
`boolean`
`isSubstatistic()`
Checks if this is a substatistic.
`static Statistic`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Statistic[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### DAMAGE_DEALT

public static final Statistic DAMAGE_DEALT

### DAMAGE_TAKEN

public static final Statistic DAMAGE_TAKEN

### DEATHS

public static final Statistic DEATHS

### MOB_KILLS

public static final Statistic MOB_KILLS

### PLAYER_KILLS

public static final Statistic PLAYER_KILLS

### FISH_CAUGHT

public static final Statistic FISH_CAUGHT

### ANIMALS_BRED

public static final Statistic ANIMALS_BRED

### LEAVE_GAME

public static final Statistic LEAVE_GAME

### JUMP

public static final Statistic JUMP

### DROP_COUNT

public static final Statistic DROP_COUNT

### DROP

public static final Statistic DROP

### PICKUP

public static final Statistic PICKUP

### PLAY_ONE_MINUTE

public static final Statistic PLAY_ONE_MINUTE
Name is misleading, actually records ticks played.

### TOTAL_WORLD_TIME

public static final Statistic TOTAL_WORLD_TIME

### WALK_ONE_CM

public static final Statistic WALK_ONE_CM

### WALK_ON_WATER_ONE_CM

public static final Statistic WALK_ON_WATER_ONE_CM

### FALL_ONE_CM

public static final Statistic FALL_ONE_CM

### SNEAK_TIME

public static final Statistic SNEAK_TIME

### CLIMB_ONE_CM

public static final Statistic CLIMB_ONE_CM

### FLY_ONE_CM

public static final Statistic FLY_ONE_CM

### WALK_UNDER_WATER_ONE_CM

public static final Statistic WALK_UNDER_WATER_ONE_CM

### MINECART_ONE_CM

public static final Statistic MINECART_ONE_CM

### BOAT_ONE_CM

public static final Statistic BOAT_ONE_CM

### PIG_ONE_CM

public static final Statistic PIG_ONE_CM

### HORSE_ONE_CM

public static final Statistic HORSE_ONE_CM

### SPRINT_ONE_CM

public static final Statistic SPRINT_ONE_CM

### CROUCH_ONE_CM

public static final Statistic CROUCH_ONE_CM

### AVIATE_ONE_CM

public static final Statistic AVIATE_ONE_CM

### MINE_BLOCK

public static final Statistic MINE_BLOCK

### USE_ITEM

public static final Statistic USE_ITEM

### BREAK_ITEM

public static final Statistic BREAK_ITEM

### CRAFT_ITEM

public static final Statistic CRAFT_ITEM

### KILL_ENTITY

public static final Statistic KILL_ENTITY

### ENTITY_KILLED_BY

public static final Statistic ENTITY_KILLED_BY

### TIME_SINCE_DEATH

public static final Statistic TIME_SINCE_DEATH

### TALKED_TO_VILLAGER

public static final Statistic TALKED_TO_VILLAGER

### TRADED_WITH_VILLAGER

public static final Statistic TRADED_WITH_VILLAGER

### CAKE_SLICES_EATEN

public static final Statistic CAKE_SLICES_EATEN

### CAULDRON_FILLED

public static final Statistic CAULDRON_FILLED

### CAULDRON_USED

public static final Statistic CAULDRON_USED

### ARMOR_CLEANED

public static final Statistic ARMOR_CLEANED

### BANNER_CLEANED

public static final Statistic BANNER_CLEANED

### BREWINGSTAND_INTERACTION

public static final Statistic BREWINGSTAND_INTERACTION

### BEACON_INTERACTION

public static final Statistic BEACON_INTERACTION

### DROPPER_INSPECTED

public static final Statistic DROPPER_INSPECTED

### HOPPER_INSPECTED

public static final Statistic HOPPER_INSPECTED

### DISPENSER_INSPECTED

public static final Statistic DISPENSER_INSPECTED

### NOTEBLOCK_PLAYED

public static final Statistic NOTEBLOCK_PLAYED

### NOTEBLOCK_TUNED

public static final Statistic NOTEBLOCK_TUNED

### FLOWER_POTTED

public static final Statistic FLOWER_POTTED

### TRAPPED_CHEST_TRIGGERED

public static final Statistic TRAPPED_CHEST_TRIGGERED

### ENDERCHEST_OPENED

public static final Statistic ENDERCHEST_OPENED

### ITEM_ENCHANTED

public static final Statistic ITEM_ENCHANTED

### RECORD_PLAYED

public static final Statistic RECORD_PLAYED

### FURNACE_INTERACTION

public static final Statistic FURNACE_INTERACTION

### CRAFTING_TABLE_INTERACTION

public static final Statistic CRAFTING_TABLE_INTERACTION

### CHEST_OPENED

public static final Statistic CHEST_OPENED

### SLEEP_IN_BED

public static final Statistic SLEEP_IN_BED

### SHULKER_BOX_OPENED

public static final Statistic SHULKER_BOX_OPENED

### TIME_SINCE_REST

public static final Statistic TIME_SINCE_REST

### SWIM_ONE_CM

public static final Statistic SWIM_ONE_CM

### DAMAGE_DEALT_ABSORBED

public static final Statistic DAMAGE_DEALT_ABSORBED

### DAMAGE_DEALT_RESISTED

public static final Statistic DAMAGE_DEALT_RESISTED

### DAMAGE_BLOCKED_BY_SHIELD

public static final Statistic DAMAGE_BLOCKED_BY_SHIELD

### DAMAGE_ABSORBED

public static final Statistic DAMAGE_ABSORBED

### DAMAGE_RESISTED

public static final Statistic DAMAGE_RESISTED

### CLEAN_SHULKER_BOX

public static final Statistic CLEAN_SHULKER_BOX

### OPEN_BARREL

public static final Statistic OPEN_BARREL

### INTERACT_WITH_BLAST_FURNACE

public static final Statistic INTERACT_WITH_BLAST_FURNACE

### INTERACT_WITH_SMOKER

public static final Statistic INTERACT_WITH_SMOKER

### INTERACT_WITH_LECTERN

public static final Statistic INTERACT_WITH_LECTERN

### INTERACT_WITH_CAMPFIRE

public static final Statistic INTERACT_WITH_CAMPFIRE

### INTERACT_WITH_CARTOGRAPHY_TABLE

public static final Statistic INTERACT_WITH_CARTOGRAPHY_TABLE

### INTERACT_WITH_LOOM

public static final Statistic INTERACT_WITH_LOOM

### INTERACT_WITH_STONECUTTER

public static final Statistic INTERACT_WITH_STONECUTTER

### BELL_RING

public static final Statistic BELL_RING

### RAID_TRIGGER

public static final Statistic RAID_TRIGGER

### RAID_WIN

public static final Statistic RAID_WIN

### INTERACT_WITH_ANVIL

public static final Statistic INTERACT_WITH_ANVIL

### INTERACT_WITH_GRINDSTONE

public static final Statistic INTERACT_WITH_GRINDSTONE

### TARGET_HIT

public static final Statistic TARGET_HIT

### INTERACT_WITH_SMITHING_TABLE

public static final Statistic INTERACT_WITH_SMITHING_TABLE

### STRIDER_ONE_CM

public static final Statistic STRIDER_ONE_CM

## Method Details

### values

public static Statistic[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static Statistic valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### getType

@NotNull public @NotNull Statistic.Type getType()
Gets the type of this statistic.

Returns:
  the type of this statistic

### isSubstatistic

public boolean isSubstatistic()
Checks if this is a substatistic.

A substatistic exists en masse for each block, item, or entitytype, depending on `getType()`.

This is a redundant method and equivalent to checking `getType() != Type.UNTYPED`

Returns:
  true if this is a substatistic

### isBlock

public boolean isBlock()
Checks if this is a substatistic dealing with blocks.

This is a redundant method and equivalent to checking `getType() == Type.BLOCK`

Returns:
  true if this deals with blocks

### getKey

@NotNull public @NotNull NamespacedKey getKey()
Description copied from interface: `Keyed`
Return the namespaced identifier for this object.

Specified by:
  `getKey` in interface `Keyed`
Returns:
  this object's key